<?php

/**
 * WordPress Theme functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package Viralike
 */
/**
 * Extended support
 */

if ( !function_exists( 'viralike_fs' ) ) {
    // Create a helper function for easy SDK access.
    function viralike_fs()
    {
        global  $viralike_fs ;
        
        if ( !isset( $viralike_fs ) ) {
            // Include Freemius SDK.
            require_once dirname( __FILE__ ) . '/inc/freemius/start.php';
            $viralike_fs = fs_dynamic_init( array(
                'id'             => '8837',
                'slug'           => 'viralike',
                'type'           => 'theme',
                'public_key'     => 'pk_daf7c029e179946a2658e7e8975da',
                'is_premium'     => false,
                'premium_suffix' => 'Pro',
                'has_addons'     => false,
                'has_paid_plans' => true,
                'menu'           => array(
                'contact' => false,
                'support' => false,
            ),
                'is_live'        => true,
            ) );
        }
        
        return $viralike_fs;
    }
    
    // Init Freemius.
    viralike_fs();
    // Signal that SDK was initiated.
    do_action( 'viralike_fs_loaded' );
}

/**
 * Init WordPress setup
 */
require get_template_directory() . '/inc/setup.php';
/**
 * Add customize options
 */
require get_template_directory() . '/inc/customizer.php';